Run an agent
Run an agent
Headers
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.
Query Parameters
Body
ID of the agent to run. Starts with wpid_. workflow_id is accepted as an alias.
"wpid_123"
Parameters to pass to the workflow
The title for this workflow run
Geographic Proxy location to route the browser traffic through. This is only available in Skyvern Cloud.
Available geotargeting options:
- RESIDENTIAL: the default value. Skyvern Cloud uses a random US residential proxy.
- RESIDENTIAL_ES: Spain
- RESIDENTIAL_IE: Ireland
- RESIDENTIAL_GB: United Kingdom
- RESIDENTIAL_IN: India
- RESIDENTIAL_JP: Japan
- RESIDENTIAL_FR: France
- RESIDENTIAL_DE: Germany
- RESIDENTIAL_NZ: New Zealand
- RESIDENTIAL_PH: Philippines
- RESIDENTIAL_KR: South Korea
- RESIDENTIAL_SA: Saudi Arabia
- RESIDENTIAL_ZA: South Africa
- RESIDENTIAL_AR: Argentina
- RESIDENTIAL_AU: Australia
- RESIDENTIAL_BR: Brazil
- RESIDENTIAL_TR: Turkey
- RESIDENTIAL_CA: Canada
- RESIDENTIAL_MX: Mexico
- RESIDENTIAL_IT: Italy
- RESIDENTIAL_NL: Netherlands
- RESIDENTIAL_ISP: ISP proxy
- US-CA: California (deprecated, routes through RESIDENTIAL_ISP)
- US-NY: New York (deprecated, routes through RESIDENTIAL_ISP)
- US-TX: Texas (deprecated, routes through RESIDENTIAL_ISP)
- US-FL: Florida (deprecated, routes through RESIDENTIAL_ISP)
- US-WA: Washington (deprecated, routes through RESIDENTIAL_ISP)
- NONE: No proxy
For self-hosted deployments, you can pass a custom proxy URL as a dict: {"url": "http://user:password@proxy.example.com:8080"} [blocked]. This routes the browser through your own proxy server and takes precedence over any globally configured proxy pool. Can also be a GeoTarget object for granular city/state targeting: {"country": "US", "subdivision": "CA", "city": "San Francisco"}
RESIDENTIAL, US-CA, US-NY, US-TX, US-FL, US-WA, RESIDENTIAL_ES, RESIDENTIAL_IE, RESIDENTIAL_GB, RESIDENTIAL_IN, RESIDENTIAL_JP, RESIDENTIAL_FR, RESIDENTIAL_DE, RESIDENTIAL_NZ, RESIDENTIAL_ZA, RESIDENTIAL_AR, RESIDENTIAL_AU, RESIDENTIAL_BR, RESIDENTIAL_TR, RESIDENTIAL_CA, RESIDENTIAL_MX, RESIDENTIAL_IT, RESIDENTIAL_NL, RESIDENTIAL_PH, RESIDENTIAL_KR, RESIDENTIAL_SA, RESIDENTIAL_ISP, NONE URL to send workflow status updates to after a run is finished. Refer to https://www.skyvern.com/docs/running-tasks/webhooks-faq for webhook questions.
URL that serves TOTP/2FA/MFA codes for Skyvern to use during the workflow run. Refer to https://www.skyvern.com/docs/credentials/totp#option-2-get-code-from-your-endpoint for more details.
"https://my-totp-service.com/totp"
Identifier for the TOTP/2FA/MFA code when the code is pushed to Skyvern. Refer to https://www.skyvern.com/docs/credentials/totp#option-3-push-code-to-skyvern for more details.
"john.doe@example.com"
ID of a Skyvern browser session to reuse, having it continue from the current screen state
ID of a browser profile to reuse for this workflow run
The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot.
Timeout this workflow run after the configured elapsed runtime in minutes. Maximum runtime is 4 hours.
1 <= x <= 240The extra HTTP headers for the requests in browser.
HTTP headers attached ONLY to the CDP WebSocket handshake when connecting to a remote browser via browser_address. Use this for browser-provider auth (e.g., x-api-key for Skyvern Cloud, Browserless, or similar). These headers are NEVER forwarded to target websites.
The CDP address for the workflow run.
"http://127.0.0.1:9222"
Whether to fallback to AI if the workflow run fails.
Whether to run the workflow with agent or code. Null inherits from the workflow setting.
"agent"
String key/value metadata to attach to this workflow run for analytics tag filtering.
Response
Successfully ran agent
Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.
"tsk_123"
"tsk_v2_123"
"wr_123"
Current status of the run
created, queued, running, timed_out, failed, terminated, completed, canceled "created"
"queued"
"running"
"timed_out"
"failed"
"terminated"
"completed"
"canceled"
Timestamp when this run was created
"2025-01-01T00:00:00Z"
Timestamp when this run was last modified
"2025-01-01T00:05:00Z"
Type of run - always workflow_run for workflow runs
"workflow_run"Output data from the run, if any. Format/schema depends on the data extracted by the run.
List of files downloaded during the run
URL to the recording of the run
True when the recording exists but has been archived to cold storage and is not currently accessible.
List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.
Reason for failure if the run failed or terminated
Timestamp when this run was queued
Timestamp when this run started execution
Timestamp when this run finished
URL to the application UI where the run can be viewed
"https://app.skyvern.com/tasks/tsk_123"
ID of the Skyvern persistent browser session used for this run
"pbs_123"
ID of the browser profile used for this run
"bp_123"
The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot
The script run result
The errors for the run
Total number of steps executed in this run
Whether the workflow run was executed with agent or code
"agent"
"code"
Whether to fallback to AI if code run fails.
ID of the cached script used for this workflow run, if any.
The original request parameters used to start this workflow run

